Bug 188804 - CVE-2006-1729 File stealing by changing input type
CVE-2006-1729 File stealing by changing input type
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:28 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:28:50 EDT
File stealing by changing input type


Claus Jørgensen reports that a text input box can be pre-filled with a
filename  and then turned into a file-upload control with the contents
intact, allowing a malicious website the ability to steal any local file
whose name they can guess.

Jesse Ruderman reports a variation, changing the type of the input control
in an event handler to work around some of the initial checks.

Workaround

Upgrade to fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=325947
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=328566


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:49:14 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:27:54 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.